SET search_path TO cadastre_grand_narbonne_2017;

SELECT p.geo_parcelle,
-- p.geo_section,
l.invar AS linvar,
l10.dvltrt AS valeur_locative_totale,
CASE WHEN dnatlc = 'V' THEN True ELSE False END AS vacant,

ap.jdatat AS date_acte,
l10.jannat::int AS annee_de_construction,
l10.dnbniv::int AS nombre_niveau_construction,

count(pev.pev) AS nb_pev,
string_agg(pev.pev, ', ') AS pevs,
string_agg(pev.dcapec, ', ') AS categorie_pev,

count(pevpri.invar) AS nb_pevpri,
string_agg(pevpri.invar, ', ') AS pevpri_invar,
count(pevpro.invar) AS nb_pevpro,
string_agg(pevpro.invar, ', ') AS pevpro_invar,
count(pevdep.invar) AS nb_pevdep,
string_agg(pevdep.invar, ', ') AS pevdep_invar,

-- infos sur pev principale
sum(pevpri.dnbpdc::integer) AS nombre_de_pieces,
sum(pevpri.dsupdc) AS superficie_des_pieces,

-- infos sur pev profesionnelle
sum(pevpro.vsurzt::int) AS surface_reelle_totale,
sum(pevpro.dsupot::int) AS surface_ponderee,
sum(pevpro.dsup1::int) AS surface_parties_principales,
sum(pevpro.dsup2::int) AS surface_parties_secondaires_couvertes,
sum(pevpro.dsup3::int) AS surface_parties_secondaires_non_couvertes,
sum(pevpro.dsupk1::int) AS surface_stationnements_couverts,
sum(pevpro.dsupk2::int) AS surface_stationnements_non_couverts,

-- infos sur les dépendances
sum(dsudep) AS surface_reelle_dependance


FROM parcelle_info AS p

INNER JOIN parcelle ap ON ap.parcelle = p.geo_parcelle
INNER JOIN local00 l ON l.parcelle = p.geo_parcelle
INNER JOIN local10 l10 ON l10.local00 = l.local00
INNER JOIN pev ON pev.local10 = l10.local10

LEFT JOIN pevprincipale pevpri USING (pev)
LEFT JOIN pevprofessionnelle pevpro USING (pev)
LEFT JOIN pevdependances pevdep USING (pev)

WHERE true
-- AND geo_section IN ('20171100120000A', '20171100240000B')

-- habitation
-- AND ccoaff = 'H'

-- appartements
-- AND l10.dteloc = '2'

-- Plus que 3 étages
-- AND l10.dnbniv::int > 3

-- Une parcelle
-- AND ap.parcelle = '2017330281000AD0437'

GROUP BY p.geo_parcelle, ap.jdatat, l10.jannat, l10.dnbniv, linvar, l10.invar, l10.dvltrt, l10.dnatlc
ORDER BY geo_parcelle, linvar, l10.invar

LIMIT 10
;
-- CREATE INDEX IF NOT EXISTS local00_parcelle_idx ON local00 (parcelle);
-- CREATE INDEX IF NOT EXISTS local00_local00_idx ON local00 (local00);
-- CREATE INDEX IF NOT EXISTS local10_local00_idx ON local10 (local00);
-- CREATE INDEX IF NOT EXISTS local10_local10_idx ON local10 (local10);
-- CREATE INDEX IF NOT EXISTS pev_local10_idx ON pev (local10);
-- CREATE INDEX IF NOT EXISTS pev_pev_idx ON pev (pev);
-- CREATE INDEX IF NOT EXISTS pevprincipale_pev_idx ON pevprincipale (pev);
-- CREATE INDEX IF NOT EXISTS pevprofessionnelle_pev_idx ON pevprofessionnelle (pev);
-- CREATE INDEX IF NOT EXISTS pevdependances_pev_idx ON pevdependances (pev);
